Page 1 of 2 12 LastLast
Results 1 to 10 of 14

Thread: amarok error with kde 4.10.3

  1. #1
    Join Date
    Jun 2008
    Location
    Stoney Stanton - England
    Posts
    1,107

    Default amarok error with kde 4.10.3

    I updated to kde 4.10.3 yesterday (using opensuse 12.3 64 bit) and have noticed today that when I close amarok it comes up with an error (crash message). I used the repo below to update:

    Index of /repositories/KDE:/Release:/410/openSUSE_12.3

    Amarok was from packman but I see the same error message after installing amarok from the kde 4.10 repo.

    Is anyone else seeing the same?

  2. #2

    Default Re: amarok error with kde 4.10.3

    And what is the error message?
    What phonon backend are you using?

    It works fine here.

  3. #3

    Default Re: amarok error with kde 4.10.3

    Quote Originally Posted by dth2 View Post
    I updated to kde 4.10.3 yesterday (using opensuse 12.3 64 bit) and have noticed today that when I close amarok it comes up with an error (crash message). I used the repo below to update:

    Index of /repositories/KDE:/Release:/410/openSUSE_12.3

    Amarok was from packman but I see the same error message after installing amarok from the kde 4.10 repo.

    Is anyone else seeing the same?
    Yes, the same crash message on closure for me. I have openSUSE_12.3 64 bit, kde 4.10.3 from the ...Release:/410/.. repo, amarok from the Packman repo with Gstreamer as backend for phonon.

  4. #4

    Default Re: amarok error with kde 4.10.3

    What error message do you get?

  5. #5
    Join Date
    Jun 2008
    Location
    Stoney Stanton - England
    Posts
    1,107

    Default Re: amarok error with kde 4.10.3

    Code:
    Yes, the same crash message on closure for me. I have  openSUSE_12.3 64 bit, kde 4.10.3 from the ...Release:/410/.. repo,  amarok from the Packman repo with Gstreamer as backend for phonon.
    Glad that it is not just me ....

    The error message is just a general kde crash report segmentation fault. That is the only issue - amarok plays normal.

    I am using gstreamer too. Switched to vlc as a backend but this made no difference. Likewise deleting my amarok setting and letting amarok set up fresh ones. I also tried installing a pre-kde 4.10.3 version of amarok but same segmentation fault message.

  6. #6
    Join Date
    Jun 2008
    Location
    Stoney Stanton - England
    Posts
    1,107

    Default Re: amarok error with kde 4.10.3

    In case it was a qt issue I have rolled back the libqt packages but no difference. Then rolled back to kde 4.10.2 and amarok works fine - so it looks like some sort of kde 4.10.3 issue / conflict

  7. #7
    Join Date
    Feb 2011
    Location
    Zagreb, Croatia
    Posts
    120

    Default Re: amarok error with kde 4.10.3

    Problem is already reported upstream
    https://bugs.kde.org/show_bug.cgi?id=319475
    https://bugs.kde.org/show_bug.cgi?id=319137
    I've confirmed what's the guilty commit, and validated that patch from second report works, but we are waiting it gets commited upstream, so we can include it in our packages
    EDIT:
    for those that don't care about reading the reports, the patch should be soon committed upstream, and incorporated in our kdelibs4 package.
    (I haven't tested my assumption, but probably amarok/plasma won't crash with plasma theme that doesn't have shadows for dialogs/tooltips, e.g. oxygen)

  8. #8
    Join Date
    Jun 2008
    Location
    Stoney Stanton - England
    Posts
    1,107

    Default Re: amarok error with kde 4.10.3

    thanks for posting.

  9. #9
    Join Date
    Jun 2008
    Location
    Moses Lake, WA. USA
    Posts
    474

    Default Re: amarok error with kde 4.10.3

    dth2 wrote:

    >
    > thanks for posting.
    >

    I am running Amarok 2.7.0 release 14.53 from Packman. Using VLC backend
    with ALSA. Seems to be working fine. See Signature for KDE and OS
    version. Hardware is Built-in intel sound on intel motherboard.
    (Desktop)

    Russ

    --
    openSUSE 12.3(Linux 3.7.10-1.4-desktop x86_64)|KDE 4.10.2
    "release 556"|Intel core2duo 2.5 MHZ,|8GB DDR3|GeForce
    8400GS(NVIDIA-Linux-x86_64-319.17)


  10. #10
    Join Date
    Feb 2011
    Location
    Zagreb, Croatia
    Posts
    120

    Default Re: amarok error with kde 4.10.3

    But are you running also KDE 4.10.3? As the regression is in kdelibs 4.10.3

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •